Subscriptions and waits

Create a subscription

POST/v1/agent/subscriptions

Subscribes an inbox to events from a source, matched when the event arrives.

Parameters

Body parameters9
sourcestringRequired

Source ID or name.

inboxstringRequired

Inbox ID or name.

ttlintegerRequired

Seconds until it expires. At most 30 days.

filter?object

Conditions an event must match.

correlation?string

Match only events carrying this value.

once?boolean

Stop after the first match.

max_events?integer

Stop after this many matches.

transform?string

A transform for the view.

label?string

Your own task ID.

Returns

201The sample response is on the right.Errors return error and message; see Errors and limits.